diff -uNr coreboot-a/util/x86emu/biosemu.c coreboot-b/util/x86emu/biosemu.c
--- coreboot-a/util/x86emu/biosemu.c	2009-11-25 00:35:25.000000000 +0900
+++ coreboot-b/util/x86emu/biosemu.c	2009-11-27 10:54:17.000000000 +0900
@@ -566,7 +574,7 @@
 	push_word(X86_SP + 2);
 
 #ifdef CONFIG_DEBUG
-	//X86EMU_trace_on();
+	X86EMU_trace_on();
 #endif
 
 	printk("Executing Initialization Vector...\n");
diff -uNr coreboot-a/util/x86emu/x86emu/debug.h coreboot-b/util/x86emu/x86emu/debug.h
--- coreboot-a/util/x86emu/x86emu/debug.h	2009-11-25 00:35:24.000000000 +0900
+++ coreboot-b/util/x86emu/x86emu/debug.h	2009-11-27 10:47:17.000000000 +0900
@@ -40,8 +40,12 @@
 #ifndef __X86EMU_DEBUG_H
 #define __X86EMU_DEBUG_H
 
-//#define CONFIG_DEBUG 0
-//#undef CONFIG_DEBUG
+#undef CONFIG_DEBUG
+//#define CONFIG_DEBUG 1
+
+#include <types.h>
+#include "x86emu/types.h"
+
 /*---------------------- Macros and type definitions ----------------------*/
 
 /* checks to be enabled for "runtime" */
@@ -219,5 +223,4 @@
 #ifdef  __cplusplus
 }                       			/* End of "C" linkage for C++   	*/
 #endif
-
 #endif /* __X86EMU_DEBUG_H */
diff -uNr coreboot-a/util/x86emu/x86emu/x86emui.h coreboot-b/util/x86emu/x86emu/x86emui.h
--- coreboot-a/util/x86emu/x86emu/x86emui.h	2009-11-25 00:35:24.000000000 +0900
+++ coreboot-b/util/x86emu/x86emu/x86emui.h	2009-11-27 10:00:35.000000000 +0900
@@ -62,9 +62,9 @@
 #define	X86EMU_UNUSED(v)	v
 #endif
 
+#include "debug.h"
 #include "x86emu/x86emu.h"
 #include "x86emu/regs.h"
-#include "debug.h"
 #include "decode.h"
 #include "ops.h"
 #include "prim_ops.h"

